Save This Page
Home » struts-1.3.9-src » org.apache.struts » chain » commands » [javadoc | source]
org.apache.struts.chain.commands
abstract public class: AbstractPopulateActionForm [javadoc | source]
java.lang.Object
   org.apache.struts.chain.commands.ActionCommandBase
      org.apache.struts.chain.commands.AbstractPopulateActionForm

All Implemented Interfaces:
    ActionCommand

Direct Known Subclasses:
    PopulateActionForm

Populate the form bean (if any) for this request.

Method from org.apache.struts.chain.commands.AbstractPopulateActionForm Summary:
execute,   handleCancel,   populate,   reset,   trimParameterName
Methods from org.apache.struts.chain.commands.ActionCommandBase:
execute,   execute
Methods from java.lang.Object:
equals,   getClass,   hashCode,   notify,   notifyAll,   toString,   wait,   wait,   wait
Method from org.apache.struts.chain.commands.AbstractPopulateActionForm Detail:
 public boolean execute(ActionContext actionCtx) throws Exception 

    Populate the form bean (if any) for this request.

 protected  void handleCancel(ActionContext context,
    ActionConfig actionConfig,
    ActionForm actionForm) throws Exception 

    Take into account whether the request includes any defined value for the global "cancel" parameter.

    An issue was raised (but I don't think a Bugzilla ticket created) about the security implications of using a well-known cancel property which skips form validation, as you may not write your actions to deal with the cancellation case.

 abstract protected  void populate(ActionContext context,
    ActionConfig actionConfig,
    ActionForm actionForm) throws Exception

    Populate the given ActionForm with request parameter values, taking into account any prefix/suffix values configured on the given ActionConfig.

 abstract protected  void reset(ActionContext context,
    ActionConfig actionConfig,
    ActionForm actionForm)

    Call the reset() method on the specified form bean.

 protected String trimParameterName(ActionConfig actionConfig,
    String name) 

    For a given request parameter name, trim off any prefix and/or suffix which are defined in actionConfig and return what remains. If either prefix or suffix is defined, then return null for name values which do not begin or end accordingly.